Type to search.

Delete a model snapshot

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 5.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

You cannot delete the active model snapshot. To delete that snapshot, first revert to a different one. To identify the active model snapshot, refer to the model_snapshot_id in the results from the get jobs API.

Required privileges

Cluster privileges manage_ml

Path parameters

job_id string required

Identifier for the anomaly detection job.

snapshot_id string required

Identifier for the model snapshot.

Response

application/json
acknowledged boolean required

For a successful response, this value is always true. On failure, an exception is returned instead.